Bug 845043 - service level should not display duplicates
service level should not display duplicates
Status: CLOSED WONTFIX
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-08-01 11:12 EDT by Sharath Dwaral
Modified: 2015-05-14 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:19:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-08-01 11:12:28 EDT
Description of problem:
Service level duplicates are listed

Version-Release number of selected component (if applicable):
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-gui-1.0.11-1.git.3.b3c4a8b.el5
subscription-manager-1.0.11-1.git.3.b3c4a8b.el5
subscription-manager-migration-data-1.11.2.2-1.git.2.c3c8e22.el5
python-rhsm-1.0.4-1.git.6.19a55da.el5
subscription-manager-firstboot-1.0.11-1.git.3.b3c4a8b.el5
subscription-manager-migration-1.0.11-1.git.3.b3c4a8b.el5


How reproducible:
Always

Steps to Reproduce:

# subscription-manager register
Username: qa@redhat.com
Password: 
The system has been registered with id: dc417336-53ca-4408-8515-3c87647038f7 

# subscription-manager service-level --list
+-------------------------------------------+
               Available Service Levels
+-------------------------------------------+
SELF-SUPPORT
Standard
STANDARD
None
Premium

  
Actual results:
Shown Above

Expected results:
Should not display duplicates. The output should be:

SELF-SUPPORT
STANDARD
NONE
PREMIUM

Additional info:

Please undo this commit 665c701b26d39fdca04c504886ee2c77b11fb895
Comment 2 Bryan Kearney 2012-08-16 12:19:59 EDT
This would be GIGO from the IT group, not gonna fix this.
Comment 3 John Sefler 2012-08-22 09:22:41 EDT
(In reply to comment #2)
> This would be GIGO from the IT group, not gonna fix this.
While GIGO from the IT group may actually be true.  This issue has been fixed (twice I believe): once be wpoteat who normalized all service levels to uppercase on candlepin, and once by jbowes who did something to effectively make a first-in service level win when a subsequent case-insensitive service level match is encountered.

Note You need to log in before you can comment on or make changes to this bug.